.TH glu 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
glu \-  A part of the standard OpenGL Utility api\&.
.SH DESCRIPTION
.LP
A part of the standard OpenGL Utility api\&. See www\&.opengl\&.org <http://www\&.opengl\&.org/sdk/docs/man/>
.LP
Booleans are represented by integers 0 and 1\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIclamp()\fR:

.RS 4
.LP
A float clamped between 0\&.0 - 1\&.0
.LP

.RE
.TP 4
.B
\fIenum()\fR:

.RS 4
.LP
An integer defined in gl\&.hrl
.LP

.RE
.TP 4
.B
\fIoffset()\fR:

.RS 4
.LP
An integer which is an offset in an array
.LP

.RE
.TP 4
.B
\fIwx_mem()\fR:

.RS 4
.LP
see wx\&.erl on memory allocation functions
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
tesselate(X1::Vec3, Vs::[Vec3]) -> {Triangles, VertexPos}
.br
.RS
.TP
Types
Vec3 = {float(), float(), float()}
.br
Triangles = [VertexIndex::integer()]
.br
VertexPos = binary()
.br
.RE
.RS
.LP
General purpose polygon triangulation\&. The first argument is the normal and the second a list of vertex positions\&. Returned is a list of indecies of the vertices and a binary (64bit native float) containing an array of vertex positions, it starts with the vertices in Vs and may contain newly created vertices in the end\&.
.RE
.LP
.B
build1DMipmapLevels(Target::enum(), InternalFormat::integer(), Width::integer(), Format::enum(), Type::enum(), Level::integer(), Base::integer(), Max::integer(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild1DMipmapLevels\&.xml> documentation\&.
.RE
.LP
.B
build1DMipmaps(Target::enum(), InternalFormat::integer(), Width::integer(), Format::enum(), Type::enum(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild1DMipmaps\&.xml> documentation\&.
.RE
.LP
.B
build2DMipmapLevels(Target::enum(), InternalFormat::integer(), Width::integer(), Height::integer(), Format::enum(), Type::enum(), Level::integer(), Base::integer(), Max::integer(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild2DMipmapLevels\&.xml> documentation\&.
.RE
.LP
.B
build2DMipmaps(Target::enum(), InternalFormat::integer(), Width::integer(), Height::integer(), Format::enum(), Type::enum(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild2DMipmaps\&.xml> documentation\&.
.RE
.LP
.B
build3DMipmapLevels(Target::enum(), InternalFormat::integer(), Width::integer(), Height::integer(), Depth::integer(), Format::enum(), Type::enum(), Level::integer(), Base::integer(), Max::integer(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild3DMipmapLevels\&.xml> documentation\&.
.RE
.LP
.B
build3DMipmaps(Target::enum(), InternalFormat::integer(), Width::integer(), Height::integer(), Depth::integer(), Format::enum(), Type::enum(), Data::binary()) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluBuild3DMipmaps\&.xml> documentation\&.
.RE
.LP
.B
checkExtension(ExtName::[integer()], ExtString::[integer()]) -> 0 | 1
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluCheckExtension\&.xml> documentation\&.
.RE
.LP
.B
cylinder(Quad::integer(), Base::float(), Top::float(), Height::float(), Slices::integer(), Stacks::integer()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluCylinder\&.xml> documentation\&.
.RE
.LP
.B
deleteQuadric(Quad::integer()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluDeleteQuadric\&.xml> documentation\&.
.RE
.LP
.B
disk(Quad::integer(), Inner::float(), Outer::float(), Slices::integer(), Loops::integer()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluDisk\&.xml> documentation\&.
.RE
.LP
.B
errorString(Error::enum()) -> string()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluErrorString\&.xml> documentation\&.
.RE
.LP
.B
getString(Name::enum()) -> string()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluGetString\&.xml> documentation\&.
.RE
.LP
.B
lookAt(EyeX::float(), EyeY::float(), EyeZ::float(), CenterX::float(), CenterY::float(), CenterZ::float(), UpX::float(), UpY::float(), UpZ::float()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluLookAt\&.xml> documentation\&.
.RE
.LP
.B
newQuadric() -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluNewQuadric\&.xml> documentation\&.
.RE
.LP
.B
ortho2D(Left::float(), Right::float(), Bottom::float(), Top::float()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluOrtho2D\&.xml> documentation\&.
.RE
.LP
.B
partialDisk(Quad::integer(), Inner::float(), Outer::float(), Slices::integer(), Loops::integer(), Start::float(), Sweep::float()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluPartialDisk\&.xml> documentation\&.
.RE
.LP
.B
perspective(Fovy::float(), Aspect::float(), ZNear::float(), ZFar::float()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluPerspective\&.xml> documentation\&.
.RE
.LP
.B
pickMatrix(X::float(), Y::float(), DelX::float(), DelY::float(), Viewport::{integer()}) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluPickMatrix\&.xml> documentation\&.
.RE
.LP
.B
project(ObjX::float(), ObjY::float(), ObjZ::float(), Model::{float()}, Proj::{float()}, View::{integer()}) -> {integer(), WinX::float(), WinY::float(), WinZ::float()}
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluProject\&.xml> documentation\&.
.RE
.LP
.B
quadricDrawStyle(Quad::integer(), Draw::enum()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluQuadricDrawStyle\&.xml> documentation\&.
.RE
.LP
.B
quadricNormals(Quad::integer(), Normal::enum()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluQuadricNormals\&.xml> documentation\&.
.RE
.LP
.B
quadricOrientation(Quad::integer(), Orientation::enum()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluQuadricOrientation\&.xml> documentation\&.
.RE
.LP
.B
quadricTexture(Quad::integer(), Texture::0 | 1) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluQuadricTexture\&.xml> documentation\&.
.RE
.LP
.B
scaleImage(Format::enum(), WIn::integer(), HIn::integer(), TypeIn::enum(), DataIn::binary(), WOut::integer(), HOut::integer(), TypeOut::enum(), DataOut::wx_mem() (see module wx)) -> integer()
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluScaleImage\&.xml> documentation\&.
.RE
.LP
.B
sphere(Quad::integer(), Radius::float(), Slices::integer(), Stacks::integer()) -> ok
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluSphere\&.xml> documentation\&.
.RE
.LP
.B
unProject(WinX::float(), WinY::float(), WinZ::float(), Model::{float()}, Proj::{float()}, View::{integer()}) -> {integer(), ObjX::float(), ObjY::float(), ObjZ::float()}
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluUnProject\&.xml> documentation\&.
.RE
.LP
.B
unProject4(WinX::float(), WinY::float(), WinZ::float(), ClipW::float(), Model::{float()}, Proj::{float()}, View::{integer()}, NearVal::float(), FarVal::float()) -> {integer(), ObjX::float(), ObjY::float(), ObjZ::float(), ObjW::float()}
.br
.RS
.LP
See external <http://www\&.opengl\&.org/sdk/docs/man/xhtml/gluUnProject\&.xml> documentation\&.
.RE
